Create Wikiversity Hindi
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikiversity Hindi.

https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikiversity_Hindi

Language code: hi
Site URL: hi.wikiversity.org
Project name: विकिविद्यालय
Project namespace: विकिविद्यालय
Project talk namespace: विकिविद्यालय वार्ता
Project logo: https://commons.wikimedia.org/wiki/File:Wikiversity-logo-hi.png
Timezone: Asia/Kolkata

Local file uploads: enabled
Transwiki sources: en.wikipedia, beta.wikiversity, en.wikiversity, de.wikiversity, hi.wikipedia, hi.wikibooks

Additional namespaces:
Namespace in English - Namespace in Hindi - Namespace talk in English - Namespace talk in Hindi
Portal: प्रवेशद्वार: Portal_talk: प्रवेशद्वार_वार्ता:
School: विद्यालय: School_talk: विद्यालय_वार्ता:
Topic: विषय: Topic_talk: विषय_वार्ता:
Collection: संग्रह: Collection_talk: संग्रह_वार्ता:

Other extensions:

  • Quiz

Thank you.


To-Do list

There are a very large number of changes, so older changes are hidden. Show Older Changes
Dereckson added a comment.EditedJul 31 2017, 7:32 AM

This solution to disable Flow isn't acceptable.

We disabled Flow on two existing wikis, because they already used the Topic: namespace.

As a new wiki, you don't currently use the Topic: namespace, as the wiki hasn't been created, so we can plan something ahead to avoid the namespace conflict.

The solutions are:

  • you don't seem to to use the Topic: namespace on Incubator test, so perhaps it's better to wait there is an actual need for this namespace (it's better to let your community create namespaces when they need it instead of cargocult-copyinh the en.wikiversity namespaces)
  • if you want to use a en.wikiversity-like Topic: namespace right now, you can simply pick another name, so there won't be any conflict

So, no, we aren't going to disable Flow on a BRAND NEW wiki for a NAMESPACE CONFLICT.

A namespace conflict occurs on already existing wiki. For a new wiki, the solution is easy, pick another name for the Topic: namespace or drop it.

Dereckson added a comment.EditedJul 31 2017, 9:33 AM

@Jayprakash12345 provided me by mail a translation for the Flow Topic: namespace, so I opened T172093 and have submitted a Gerrit change to merge this translation. Thanks Jay for that.

Jayprakash12345 added a comment.EditedJul 31 2017, 9:43 AM

@Jayprakash12345 provided me by mail a translation for the Flow Topic: namespace, so I opened T172093 and have submitted a Gerrit change to merge this translation. Thanks Jay for that.

I reviewed patch. But it gives only +1 point. So anyone can review. The translation is correct

Thanks

This comment was removed by StevenJ81.

Flow Topic: translation will be live at 1.30.0-wmf.12.

This solution to disable Flow isn't acceptable.

I totally disagree here. If the translation has been provided then the potential namespace conflict is resolved, but if the community does not want Flow from starters we do not need to force them into having such a feature.

This solution to disable Flow isn't acceptable.

I totally disagree here. If the translation has been provided then the potential namespace conflict is resolved, but if the community does not want Flow from starters we do not need to force them into having such a feature.

Some user opposing to enable this. So I was made new section for better decision.https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikiversity_Hindi#Configuration

Thanks

Just a note: Even if your community decides to have flow disabled, it'll probably stay enabled because system administrators hold ultimate authority on every conf change.

Some user opposing to enable this. So I was made new section for better decision.https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikiversity_Hindi#Configuration

Good idea. Can you create a link to the documentation, so that people will know about Flow? We will not force you to have Flow, I just want to see people informed. :)

I advice you to keep the Topic: namespace for Flow only. It will avoid configuration conflicts if the community decides to have Flow in the future.

Change 369921 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaMessages@master] Add Hindi Wikiversity

https://gerrit.wikimedia.org/r/369921

Change 369924 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add hiwikiversity to labsrecursor

https://gerrit.wikimedia.org/r/369924

Change 368165 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for hiwikiversity

https://gerrit.wikimedia.org/r/368165

Change 369928 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/services/parsoid@master] Add hiwikiversity and wikimania2018wiki

https://gerrit.wikimedia.org/r/369928

Reedy added a comment.Aug 3 2017, 3:30 PM

Wiki has been created. Looks like Wikidata is broken...

Wiki has been created. Looks like Wikidata is broken...

Adding them.

Reedy updated the task description. (Show Details)Aug 3 2017, 3:50 PM
MarcoAurelio changed the status of subtask T171831: Add hi.wikiversity to wikistats from Stalled to Open.Aug 3 2017, 4:25 PM
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-08-03T18:15:07Z] <mobrovac@tin> Started deploy [restbase/deploy@65af18d]: Expose the recommendation API publicly and activate hiwikiversity - T170877 T168765

Mentioned in SAL (#wikimedia-operations) [2017-08-03T18:23:40Z] <mobrovac@tin> Finished deploy [restbase/deploy@65af18d]: Expose the recommendation API publicly and activate hiwikiversity - T170877 T168765 (duration: 08m 33s)

Change 369928 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Add hiwikiversity, techconductwiki and wikimania2018wiki

https://gerrit.wikimedia.org/r/369928

Mentioned in SAL (#wikimedia-operations) [2017-08-03T18:59:33Z] <arlolra> Updated Parsoid to 6e1a20d5 (T168765, T155038, T165977)

Change 369921 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add Hindi Wikiversity

https://gerrit.wikimedia.org/r/369921

Change 369926 merged by Nuria:
[analytics/refinery@master] Add hiwikiversity

https://gerrit.wikimedia.org/r/369926

Dzahn updated the task description. (Show Details)
Restricted Application added a project: Analytics. · View Herald TranscriptAug 5 2017, 2:16 AM
Reedy updated the task description. (Show Details)Aug 5 2017, 2:17 AM
Urbanecm assigned this task to Reedy.Aug 5 2017, 12:02 PM
Nuria moved this task from Incoming to Radar on the Analytics board.Aug 7 2017, 4:00 PM
Reedy added a comment.Aug 9 2017, 3:55 AM

Why would it work for July 2017? The wiki wasn't created till August?

gh87 added a comment.Aug 9 2017, 6:45 AM

In case that links don't work: Here you go, and... there you go

In case that links don't work: Here you go, and... there you go

Just the first link, 2nd link tells me

Invalid parameters! Invalid project, using defaults instead. See the documentation for more information.

Reedy closed this task as Resolved.Aug 9 2017, 2:43 PM

The second link is never gonna work. The wiki didn't exist in July, so there are not going to be any stats to use

Dcljr added a comment.Aug 10 2017, 1:23 AM

@Reedy Should the To-Do list be completed before this task is closed?

Jayprakash12345 reopened this task as Open.Aug 10 2017, 4:44 AM

The namespace are not redirecting respectively
Portal: प्रवेशद्वार:
School: विद्यालय:
Collection: संग्रह:

And additional when i typed Topic:page they give me an Bad title error that Requested page are invalid. Flow makes this namespace automatically.

Community disagree to enable the flow. The consensus is on meta page

Dereckson added a comment.EditedAug 10 2017, 6:11 AM

Actually, we want to keep a standard common set of configuration on wikis, and as such, the best course of action would be to forget the Topic: namespace and find a new name.

You don't want to use Flow right now, this is acceptable, but to introduce knowingly and consciously a namespace conflict isn't a best practice, which is not.

This comment was removed by Dereckson.
This comment was removed by Anooprao.

Change 369924 merged by Rush:
[operations/puppet@production] Add hiwikiversity to labsrecursor

https://gerrit.wikimedia.org/r/369924

Urbanecm closed this task as Resolved.Aug 12 2017, 10:56 PM

Wiki itself is created. CS isn't a blocker.

gh87 updated the task description. (Show Details)Fri, Aug 25, 10:48 PM
Jayprakash12345 added a comment.EditedSat, Aug 26, 3:36 AM

Who can connect hiwikiversity to labs. xtools.wmflabs.org does not work yet.

Dzahn added a subscriber: Dzahn.Sat, Aug 26, 3:41 AM

Who can connect hiwikiversity to labs. xtools.wmflabs.org does not work yet.

If it's about XTools, probably one of https://phabricator.wikimedia.org/project/members/803/

Koavf removed a subscriber: Koavf.Sat, Aug 26, 5:20 AM
Koavf added a subscriber: Koavf.
Krenair added a subscriber: Krenair.EditedTue, Aug 29, 1:22 PM

Was the maintain-views step not completely performed?

MariaDB [hiwikiversity_p]> show tables;
Empty set (0.00 sec)

The blocker is fixed and so is this one too:

mysql:root@localhost [hiwikiversity_p]> show tables;
+---------------------------+
| Tables_in_hiwikiversity_p |
+---------------------------+
| abuse_filter              |
| abuse_filter_action       |
| abuse_filter_log          |
| archive                   |
| archive_userindex         |
| babel                     |
| category                  |
| categorylinks             |
| change_tag                |
| externallinks             |
| filearchive               |
| filearchive_userindex     |
| geo_tags                  |
| global_block_whitelist    |
| globalblocks              |
| image                     |
| imagelinks                |
| interwiki                 |
| ipblocks                  |
| ipblocks_ipindex          |
| iwlinks                   |
| l10n_cache                |
| langlinks                 |
| linter                    |
| logging                   |
| logging_logindex          |
| logging_userindex         |
| math                      |
| module_deps               |
| oldimage                  |
| oldimage_userindex        |
| page                      |
| page_props                |
| page_restrictions         |
| pagelinks                 |
| protected_titles          |
| recentchanges             |
| recentchanges_userindex   |
| redirect                  |
| revision                  |
| revision_userindex        |
| site_identifiers          |
| site_stats                |
| sites                     |
| tag_summary               |
| templatelinks             |
| transcode                 |
| updatelog                 |
| user                      |
| user_former_groups        |
| user_groups               |
| user_properties           |
| valid_tag                 |
| wbc_entity_usage          |
+---------------------------+
54 rows in set (0.00 sec)


mysql:root@localhost [hiwikiversity_p]> show create table tag_summary\G
*************************** 1. row ***************************
                View: tag_summary
         Create View: CREATE ALGORITHM=UNDEFINED DEFINER=`viewmaster`@`%` SQL SECURITY DEFINER VIEW `tag_summary` AS select `hiwikiversity`.`tag_summary`.`ts_id` AS `ts_id`,`hiwikiversity`.`tag_summary`.`ts_rc_id` AS `ts_rc_id`,`hiwikiversity`.`tag_summary`.`ts_log_id` AS `ts_log_id`,`hiwikiversity`.`tag_summary`.`ts_rev_id` AS `ts_rev_id`,`hiwikiversity`.`tag_summary`.`ts_tags` AS `ts_tags` from `hiwikiversity`.`tag_summary`
character_set_client: utf8
collation_connection: utf8_general_ci
1 row in set (0.00 sec)

Was the maintain-views step not completely performed?

MariaDB [hiwikiversity_p]> show tables;
 Empty set (0.00 sec)

Looks like it is missing on 1001 and 1003 (I assumed Andrew did it there). I will do it in a sec

Was the maintain-views step not completely performed?

MariaDB [hiwikiversity_p]> show tables;
 Empty set (0.00 sec)

Looks like it is missing on 1001 and 1003 (I assumed Andrew did it there). I will do it in a sec

Done on 1001 and 1003. show tables now works

Was the maintain-views step not completely performed?

MariaDB [hiwikiversity_p]> show tables;
 Empty set (0.00 sec)

Looks like it is missing on 1001 and 1003 (I assumed Andrew did it there). I will do it in a sec

Done on 1001 and 1003. show tables now works

Thank you sir.

Change 378406 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[analytics/refinery@master] Revert "Add hiwikiversity"

https://gerrit.wikimedia.org/r/378406

Change 378406 abandoned by Zoranzoki21:
Revert of commit 021795da50cc81427a538b156cb22a7911b935b6.

Reason:
Sorry.. I will abandon this patch/change.

https://gerrit.wikimedia.org/r/378406

Koavf removed a subscriber: Koavf.Sat, Sep 16, 4:48 PM
gh87 removed a subscriber: gh87.Sat, Sep 16, 7:34 PM
Dzahn added a comment.Sun, Sep 17, 3:33 PM

The last unchecked checkbox was "labs". The comments above sound like there are db replicas now in labs. So.. ticket resolved?